{
  "packages": {
    "/": {
      "dest": {
        "dir": "./build/node/packageRunBuild/resources",
        "id": "/",
        "name": "@liferay/object-web",
        "version": "1.0.184"
      },
      "modules": {
        "js/components/DangerModal.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/EditObjectStateField.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ExpressionBuilderModal.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/FDSDataRenderers/SourceDataRenderer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/FDSSourceDataRenderer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/MultiselectPicklistFDSPropsTransformer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/ObjectActionsFDSPropsTransformer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/ObjectDefinitionFDSPropsTransformer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/ObjectFieldsFDSPropsTransformer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/FDSPropsTransformer/ObjectRelationshipsFDSPropsTransformer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/LabelRenderer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/InfoScreen/InfoScreen.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/AddNewTabButton.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/HeaderDropdown.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/LayoutScreen.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ModalAddObjectLayoutBox.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ModalAddObjectLayoutField.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ModalAddObjectLayoutTab.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ObjectLayoutBox.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ObjectLayoutColumns.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ObjectLayoutField.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ObjectLayoutRelationship.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ObjectLayoutRows.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/LayoutScreen/ObjectLayoutTabs.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/Layouts.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/index.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/Layout/objectLayoutContext.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ListTypeDefinition/EditListTypeDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ListTypeDefinition/ListTypeEntriesModal.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ListTypeDefinition/ListTypeFormBase.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ListTypeDefinition/ListTypeTable.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ListTypeDefinition/utils.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalAddColumns.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalAddFilter.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalAddListTypeDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalAddObjectCustomView.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalAddObjectLayout.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalBasicWithFieldName.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalDeletionNotAllowed.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalImportListTypeDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalImportObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModalImportWarning.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/Diagram/Diagram.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/Edges/DefaultObjectRelationshipEdge.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/Edges/ManyMarker.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/Edges/OneMarker.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/Edges/SelfObjectRelationshipEdge.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/EditObjectFolder.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/EditObjectFolderHeader/EditObjectFolderHeader.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/EditObjectFolderHeader/ModalPublishObjectDefinitions.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/LeftSidebar/LeftSidebar.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/LeftSidebar/LeftSidebarTreeView.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ModelBuilderContext/objectFolderContext.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ModelBuilderContext/objectFolderReducer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ModelBuilderContext/objectFolderReducerUtil.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ModelBuilderContext/typesEnum.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ObjectDefinitionNode/EmptyNode.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ObjectDefinitionNode/ObjectDefinitionNode.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ObjectDefinitionNode/ObjectDefinitionNodeFooter.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ObjectDefinitionNode/ObjectDefinitionNodeHeader.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ObjectDefinitionNode/ObjectDefinitionNodeObjectFields.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/ObjectDefinitionNode/RedirectToEditObjectDetailsModal.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/RightSidebar/RightSidebarEmpty.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/RightSidebar/RightSidebarObjectDefinitionDetails.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/RightSidebar/RightSidebarObjectRelationshipDetails.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/RightSidebar/RightSidebarRoot.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/RightSidebar/index.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/index.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ModelBuilder/utils.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/Actions.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/AddObjectAction.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/EditObjectAction.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/PredefinedValuesTable.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/fetchUtil.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/index.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/tabs/ActionBuilder.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/tabs/ActionContainer/ActionContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/tabs/ActionContainer/ThenContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/tabs/BasicInfo.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/tabs/ConditionContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectAction/useObjectActionForm.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/AccountRestrictionContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/ConfigurationContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/EditObjectDetails.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/EntryDisplayContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/ExternalDataSourceContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/ObjectDataContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/ScopeContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/Sheet.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/TranslationsContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectDetails/useObjectDetailsForm.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/AggregationFormBase.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/AttachmentFormBase.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/DefaultValueFields/ListTypeDefaultValueSelect.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/EditObjectField.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Fields.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/ModalAddObjectField.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/ModalDeleteObjectField.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/ObjectFieldFormBase.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/Advanced/AdvancedTab.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/Advanced/DefaultValueContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/Advanced/ReadOnlyContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/AggregationFilterContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/AttachmentProperties.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/BasicInfoContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/BasicInfoTab.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/FormulaContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/MaxLengthProperties.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/SearchableContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/Tabs/BasicInfo/TranslationOptionsContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/TimeStorage.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/UniqueValues.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/deleteObjectFieldUtil.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/formulaFieldUtil.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectField/useObjectFieldForm.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectManagementToolbar.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/CurrentObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/EditRelationship.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/ModalAddObjectRelationship.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/ModalDeleteObjectRelationship.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/ObjectRelationshipFormBase.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/Relationships.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/SelectObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectRelationship/SelectRelationship.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/AddObjectValidation.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/BasicInfo.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/Conditions.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/EditObjectValidation.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/TriggerEventContainer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/Validations.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectValidation/useObjectValidationForm.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/BasicInfoScreen/BasicInfoScreen.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/DefaultSortScreen/DefaultSortScreen.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/FilterScreen/FilterScreen.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/ModalAddDefaultSortColumn/ModalAddDefaultSortColumn.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/ModalEditViewColumn/ModalEditViewColumn.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/ViewBuilderScreen/ViewBuilderScreen.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/Views.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/index.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ObjectView/objectViewContext.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/StateManager/StateDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/StateManager/StateManager.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/FDSDataRenderers/ObjectDefinitionModifiedDateDataRenderer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/FDSDataRenderers/ObjectDefinitionStatusDataRenderer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/FDSDataRenderers/ObjectDefinitionSystemDataRenderer.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalAddObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalAddObjectFolder.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalBindToRootObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalDeleteObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalDeleteObjectFolder.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalEditObjectFolder.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalMoveObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ModalUnbindObjectDefinition.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ObjectFolderCardHeader.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ObjectFoldersSidebar.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/ViewObjectDefinitions.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/ViewObjectDefinitions/objectDefinitionUtil.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/components/WarningModal.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/tests/ObjectFolderCardHeader.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/tests/ObjectFoldersSidebar.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/businessTypeLabel.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/constants.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/createAutoCorrectedNumberPipe.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/defaultValues.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/fds.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/fieldSettings.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/filter.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/formData.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/layout.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/string.js": {
          "flags": {
            "esModule": true
          }
        },
        "js/utils/visitor.js": {
          "flags": {
            "esModule": true
          }
        }
      },
      "src": {
        "dir": ".",
        "id": "/",
        "name": "@liferay/object-web",
        "version": "1.0.184"
      }
    },
    "codemirror@5.65.2": {
      "dest": {
        "dir": "./build/node/packageRunBuild/resources/node_modules/liferay!object-web$codemirror@5.65.2",
        "id": "liferay!object-web$codemirror@5.65.2",
        "name": "liferay!object-web$codemirror",
        "version": "5.65.2"
      },
      "src": {
        "dir": "./../../../node_modules/codemirror",
        "id": "codemirror@5.65.2",
        "name": "codemirror",
        "version": "5.65.2"
      }
    }
  }
}